*::-webkit-scrollbar,
*::-webkit-scrollbar-thumb,
*::-webkit-scrollbar-track {
  width: 6px;
  border: none;
  background: transparent;
}

*::-webkit-scrollbar-button,
*::-webkit-scrollbar-track-piece,
*::-webkit-scrollbar-corner,
*::-webkit-resizer {
  display: none;
}

*::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background-color: #b8e45f;
}

*::-webkit-scrollbar-track {
  background-repeat: repeat-y;
  background-size: contain;
}


html:has(.navBarBox.active) {
  overflow: hidden;
}

.header {
  width: 100%;
  padding-inline: 70px;
  position: sticky;
  top: 0;
  z-index: 19;
}

.header .headerBox {
  display: flex;
  justify-content: space-between;
  align-items: center;
  min-height: 88px;
  z-index: 18;
  position: relative;
}

.header .headerBox .headerLogo img {
  width: auto;
  height: 34px;
  object-fit: contain;
}

.nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* MENU */
.nav .menu {
  display: flex;
  gap: 20px;
  list-style: none;
}

.nav .menu-item {
  cursor: pointer;
  position: relative;
  z-index: 20;
}

.nav .menu-item a {
  text-decoration: none;
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 700;
  font-size: 12px;
  line-height: 1.2;
  text-transform: uppercase;
  color: #142927;
}

.nav .item {
  padding-right: 20px;
  display: flex;
  align-items: center;
}

.lang {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 500;
  font-style: Medium;
  font-size: 12px;
  line-height: 100%;
  text-transform: uppercase;
  cursor: pointer;
  padding-inline: 20px;
  position: relative;
  display: flex;
  align-items: center;
  color: #142927;
}

.lang::before {
  content: "";
  position: absolute;
  left: 0px;
  top: 50%;
  width: 1px;
  height: 10px;
  background: #528d76;
  transform: translateY(-50%);
}

.lang img {
  width: 100%;
  /* max-width: 10px; */
  height: 100%;
  object-fit: contain;
  padding-left: 5px;
}

.lang-switcher {
  position: relative;
  cursor: pointer;
}

.lang-current {
  display: flex;
  align-items: center;
  gap: 6px;
}

.lang-dropdown {
  position: absolute;
  top: 100%;
  left: 0;
  background: #ebe7d9;
  list-style: none;
  padding: 0px 11px;
  z-index: 222;
  margin: 0;
  display: none;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.lang-dropdown li a {
  padding: 8px 26px;
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 500;
  font-size: 12px;
  line-height: 100%;
  text-transform: uppercase;
  display: flex;
  transition: all 0.2s ease-in-out;
}

.lang-dropdown li a:hover {
  background: #e1dbc5;
}

.lang-switcher.active .lang-dropdown {
  display: block;
}

.header .burger {
  width: 51px;
  height: 51px;
  border: 1px solid #b8e460;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
}

.lang-current svg {
  transition: transform 0.3s ease;
}

.lang-switcher.active .lang-current svg {
  transform: rotate(180deg);
}

.lang-dropdown {
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: all 0.3s ease;
}

.lang-switcher.active .lang-dropdown {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

@media screen and (max-width: 991px) {
  .nav .menu {
    display: none;
  }
}

/* MARK: NAVBAR */
.navBarBox {
  position: absolute;
  inset: 0;
  background-color: #142927;
  z-index: 20;
  visibility: hidden;
  opacity: 0;
  transform: translateY(-100%);
  transition: all 0.3s ease-in-out;
  display: flex;
  overflow: hidden;
}

.navBarBox.active {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

.navBarBox .navLinkBox {
  height: 100%;
  width: 30%;
  display: flex;
  flex-direction: column;
  position: relative;
  padding: 0 50px 0 70px;
  transition: transform 0.3s ease-in-out;
}

.navBarBox .navLinkBox .links {
  display: flex;
  flex-direction: column;
  padding-top: 50px;
  border-top: 1px solid #e3d4bf14;
  padding-bottom: 30px;
  max-height: calc(100% - 200px);
  overflow-y: auto;
}

.navBarBox .navLinkBox .links::-webkit-scrollbar,
.navBarBox .navLinkBox .links::-webkit-scrollbar-thumb,
.navBarBox .navLinkBox .links::-webkit-scrollbar-track {
  width: 4px;
  border: none;
  background: transparent;
}

.navBarBox .navLinkBox .links::-webkit-scrollbar-button,
.navBarBox .navLinkBox .links::-webkit-scrollbar-track-piece,
.navBarBox .navLinkBox .links::-webkit-scrollbar-corner,
.navBarBox .navLinkBox .links::-webkit-resizer {
  display: none;
}

.navBarBox .navLinkBox .links::-webkit-scrollbar-thumb {
  border-radius: 3px;
  background-color: #b8e45f;
}

.navBarBox .navLinkBox .links::-webkit-scrollbar-track {
  background-repeat: repeat-y;
  background-size: contain;
}

.navBarBox .navLinkBox .bottomLinks {
  background: #142927;
}

.navBarBox .contentBox .links,
.navBarBox .navLinkBox .bottomLinks {
  position: absolute;
  bottom: 0;
  left: 50px;
  right: 50px;
  padding-block: 25px;
  display: flex;
  gap: 15px;
  justify-content: center;
  border-top: 1px solid #e3d4bf1a;
}

.navBarBox .contentBox .links {
  gap: 30px;
  left: 70px;
  right: 70px;
}

.navBarBox .navLinkBox .bottomLinks .link {
  display: flex;
  align-items: center;
  text-align: center;
}

.navBarBox .contentBox .links a,
.navBarBox .navLinkBox .bottomLinks .link {
  font-family: var(--font-mont);

  letter-spacing: var(--ls-mont);
  font-weight: 300;
  font-style: Light;
  font-size: 12px;
  line-height: 14px;
  text-transform: uppercase;
  text-decoration: none;
  color: #f0e8df !important;
  transition: all 0.3s ease-in-out;
}

.navBarBox .contentBox .links a:hover,
.navBarBox .navLinkBox .bottomLinks .link:hover {
  color: #b8e460 !important;
}

.navBarBox .navLinkBox .links .mianMenu {
  display: flex;
  flex-direction: column;
  padding: 0;
  margin-bottom: 47px !important;
  list-style: none;
}

.navBarBox .navLinkBox .links .additional_links {
  display: flex;
  flex-direction: column;
  padding: 0;
  padding-top: 48px;
  list-style: none;
  border-top: 1px solid #b8e460;
}

.navBarBox .navLinkBox .links .additional_links .menu-item:hover a {
  color: #b8e460 !important;
}

.navBarBox .navLinkBox .links .additional_links .menu-item a {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 400;
  font-style: "Regular";
  font-size: 18px;
  line-height: 36px;
  
  text-transform: uppercase;
  color: #fff !important;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}


.navBarBox .navLinkBox .links .mianMenu .menu-item a {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 500;
  font-style: Medium;
  font-size: 36px;
  line-height: 54px;
  
  color: #fff !important;
  position: relative;
  transition: all 0.2s ease-in-out;
  text-decoration: none;
}

.navBarBox .navLinkBox .links .mianMenu:hover .menu-item a {
  color: #FFFFFF4D !important;
}

.navBarBox .navLinkBox .links .mianMenu .menu-item {
  position: relative;
  transition: all 0.2s ease-in-out;
}

.navBarBox .navLinkBox .links .mianMenu .menu-item:hover {
  padding-left: 22px;
}

.navBarBox .navLinkBox .links .mianMenu .menu-item:hover a {
  color: #fff !important;
}

.navBarBox .navLinkBox .links .mianMenu .menu-item::after {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 10px;
  height: 10px;
  border-radius: 100px;
  background-color: #b8e460;
  opacity: 0;
  transition: all 0.2s ease-in-out;
}

.navBarBox .navLinkBox .links .mianMenu .menu-item:hover::after {
  opacity: 1;
}

.navBarBox .navLinkBox .headerLogo {
  padding-block: 27px;
}

.navBarBox .navLinkBox .headerLogo img {
  width: auto;
  height: 34px;
  object-fit: contain;
}

.navBarBox .contentBox {
  width: 70%;
  height: 100%;
  background-position: center;
  background-size: cover;
  backdrop-filter: blur(5px);
  position: relative;
}

/* .navBarBox .contentBox::after {
  content: "";
  background-color: #0000004d;
  position: absolute;
  inset: 0;
  z-index: 22;
} */

.navBarBox .contentBoxWrapper {
  display: flex;
  flex-direction: column;
  padding: 0 70px 0;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 23;
}

.navBarBox .contentBoxWrapper.backdropFilter {
  backdrop-filter: blur(5px);
}

.navBarBox .contentBoxWrapper .actionBox {
  display: flex;
  align-items: center;
  justify-content: end;
  padding-block: 18px;
  border-bottom: 1px solid #e3d4bf1a;
}

.navBarBox .contentBoxWrapper .lang::before {
  content: unset;
}

.navBarBox .contentBoxWrapper .burger {
  width: 51px;
  height: 51px;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100px;
}

.navBarBox .lang {
  color: #fcfaf6;
}

.navBarBox .contactInfoBox {
  display: flex;
  flex-direction: column;
  gap: 50px;
  justify-content: space-between;
  padding-top: 50px;
  padding-bottom: 70px;
  height: 100%;
  transition: opacity 0.3s ease, transform 0.3s ease;
  opacity: 1;
}

.navBarBox .currentLinkContent {
  display: flex;
  flex-direction: column;
  gap: 26px;
  justify-content: end;
  align-items: end;
  padding-top: 50px;
  padding-bottom: 123px;
  height: 100%;
  position: absolute;
  left: 70px;
  right: 70px;
  transition: opacity 0.3s ease, transform 0.3s ease;
  opacity: 0;
  transform: translateY(10px);
  pointer-events: none;
}

.navBarBox.hover-active .contactInfoBox {
  opacity: 0;
  pointer-events: none;
  transform: translateY(-10px);
}

.navBarBox.hover-active .currentLinkContent {
  opacity: 1;
  pointer-events: auto;
  transform: translateY(0);
}

.navBarBox .currentLinkContent .title {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 500;
  font-style: Medium;
  font-size: 50px;
  line-height: 65px;
  
  text-align: right;
  color: #fff;
}

.navBarBox .currentLinkContent .description {
  font-family: var(--font-mont);

  letter-spacing: var(--ls-mont);
  font-weight: 300;
  font-style: Light;
  font-size: 16px;
  line-height: 26px;
  
  text-align: right;
  color: #fff;
  max-width: 600px;
}

.navBarBox .contactInfoBox .contactBox {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.navBarBox .contactInfoBox .title {
  font-family:  var(--font-moisette);
  font-weight: 500;
  font-style: Medium;
  font-size: 25px;
  line-height: 28px;
  
  color: #fff;
}

.navBarBox .contactInfoBox .contactBox .subscribeBoxLink .link {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  font-weight: 400;
  font-style: "Regular";
  font-size: 14px;
  line-height: 15px;
  
  text-transform: uppercase;
  color: #eae7dd;
  text-decoration: none;
  display: flex;
  align-items: center;
  gap: 20px;
}

.navBarBox .contactInfoBox .contactBox .subscribeBoxLink {
  display: flex;
  flex-direction: column;
  gap: 7px;
}

.navBarBox .contactInfoBox .contactBox .subscribeBoxLink .link .linkSpan {
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  
  font-weight: 500;
  font-size: 14px;
  line-height: 24px;
  text-transform: uppercase;
  color: #eae7dd59;
}

.navBarBox .contactInfoBox .getInTouchForm {
  display: flex;
  flex-direction: column;
  gap: 48px;
  padding-bottom: 80px;
}

.navBarBox .contactInfoBox .getInTouchForm .title {
  font-family:  var(--font-moisette);
  font-weight: 500;
  font-style: Medium;
  font-size: 25px;
  line-height: 28px;
  color: #fff;
}

.navBarBox .contactInfoBox .getInTouchForm input {
  background-color: transparent !important;
  border: none;
  border-bottom: 1px solid #ffffff;
  /* max-width: 86%; */
  width: 100%;
  outline: none;
}

.navBarBox .contactInfoBox .getInTouchForm input {
  font-family:  var(--font-moisette);
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  color: #fff;
  padding-bottom: 25px;
  height: 45px;
}

.navBarBox .contactInfoBox .getInTouchForm input[type="submit"] {
  background-color: #b8e45f !important;
  padding: 11px;
  border-radius: 50px;
  border: none;
  color: #142927;
  font-family: var(--font-formaDJR);

  letter-spacing: var(--ls-formaDJR);
  height: unset;
}

.navBarBox .contactInfoBox .getInTouchForm input::placeholder {
  font-family:  var(--font-moisette);
  font-weight: 400;
  font-size: 16px;
  line-height: 19px;
  color: #ffffffa6;
}

.navBarBox .contactInfoBox .getInTouchForm .contact__form.row {
  display: flex;
  /* gap: 20px; */
}

.navBarBox .contactInfoBox .getInTouchForm .contact__form.row>div {
  /* max-width: 197px; */
  /* width: 100%; */
  padding: 20px;
}

.wpcf7-response-output {
  border: none !important;
  max-width: fit-content;
  background-color: #142927;
  color: #fff;
  padding: 8px 10px !important;
}

.header .closeNavBar {
  display: none;
}

/* MARK: NAVBAR */
@media screen and (max-width: 1400px) {
  .navBarBox .navLinkBox {
    padding-right: 30px;
  }
}

@media screen and (max-width: 991px) {
  .navBarBox {
    position: fixed;
    top: 70px;
    left: 0;
    width: 100%;
    height: calc(100vh - 70px);
    transform: translateY(-100%);
    display: flex;
    flex-direction: column;
    overflow-y: auto;
  }

  .navBarBox .navLinkBox {
    width: 100%;
    padding: 0px;
    padding-inline: 15px;
  }

  .navBarBox .contentBox {
    display: none;
  }

  .navBarBox .navLinkBox .headerLogo {
    display: none;
  }

  .header {
    position: sticky;
    z-index: 22;
    display: block;
    padding-inline: 15px;
    top: 0;
  }

  .header .headerBox {
    display: flex !important;
    justify-content: space-between;
    align-items: center;
    min-height: 70px;
  }

  .navBarBox .navLinkBox .links {
    padding-top: 40px;
    max-height: calc(100% - 80px);
    overflow-y: scroll;
  }

  .navBarBox .navLinkBox .links .mianMenu {
    padding-top: 0px;
    padding-bottom: 40px;
    margin-bottom: 0 !important;
  }

  .navBarBox .navLinkBox .bottomLinks {
    /* position: unset; */
    left: 15px;
    right: 15px;
    bottom: env(safe-area-inset-bottom, 0);
  }

  .navBarBox .navLinkBox .links .additional_links {
    padding-top: 40px;
  }

}